Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.particle.custom
Class Smoke

    java.lang.Object
      de.rico.engine.effect.particle.AbstractParticleEffect
          de.rico.engine.effect.particle.custom.Smoke

    public class Smoke

extends AbstractParticleEffect

This class represents the particle effect that can be used as chimney smoke for buildings.

Author:
  Frank Bruns

Constructor Summary
`Smoke(float x, float y, float z, float size, int numberOfParticles, long maxPartAge, long creationIntervall)` Creates a smoke effect with the specified parameters.

Method Summary

Methods inherited from class de.rico.engine.effect.particle.AbstractParticleEffect
`draw, getCreationInterval, getMaxPartAge, getMaxParticleCount, getParticleSize, getPosition, getTexturePath, setEnabled, setPosition, setPosition, setTexture, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Smoke

    public Smoke(float x,
                 float y,
                 float z,
                 float size,
                 int numberOfParticles,
                 long maxPartAge,
                 long creationIntervall)

  Creates a smoke effect with the specified parameters. It is a relativly constant stream of particles that float to the sky and have a little deviation to the left or right. The particle gets rotated to mimic turbulence behaviour.

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate
    `size` - particle size
    `numberOfParticles` - maximum number of particles to use
    `maxPartAge` - maximum particle age (in miliseconds)
    `creationIntervall` - intervall between the generation of two particles (in miliseconds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD